<?php

namespace App\Providers;

use Illuminate\Support\Facades\Route;
use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;

class RouteServiceProvider extends ServiceProvider
{
    /**
     * This namespace is applied to your controller routes.
     *
     * In addition, it is set as the URL generator's root namespace.
     *
     * @var string
     */
    protected $namespace = 'App\Http\Controllers';

    /**
     * Define your route model bindings, pattern filters, etc.
     *
     * @return void
     */
    public function boot()
    {
        //

        parent::boot();
    }

    /**
     * Define the routes for the application.
     *
     * @return void
     */
    public function map()
    {
        $this->mapApiRoutes();

        $this->mapWebRoutes();

        //
    }

    /**
     * Define the "web" routes for the application.
     *
     * These routes all receive session state, CSRF protection, etc.
     *
     * @return void
     */
    protected function mapWebRoutes()
    {
        Route::middleware('web')
             ->namespace($this->namespace)
             ->group(base_path('routes/web.php'));
        Route::namespace($this->namespace)
             ->group(base_path('routes/plain.php'));
    }

    /**
     * Define the "api" routes for the application.
     *
     * These routes are typically stateless.
     *
     * @return void
     */
    protected function mapApiRoutes()
    {
        Route::prefix('api')
             ->middleware('api')
             ->namespace($this->namespace)
             ->group(base_path('routes/api.php'));
        Route::prefix('apiLocal')
             ->middleware('apiLocal')
             ->namespace($this->namespace)
             ->group(base_path('routes/apiLocal.php'));

        Route::prefix('api/thirdPart/flux')
            ->middleware('api')
            ->namespace('App\Http\Controllers\api\thirdPart\flux')
            ->group(base_path('routes/api/thirdPart/flux.php'));

        Route::prefix('api/thirdPart/weight')
            ->middleware('api')
            ->namespace('App\Http\Controllers\api\thirdPart\weight')
            ->group(base_path('routes/api/thirdPart/weight.php'));


        Route::prefix('api/thirdPart/weixin')
            ->namespace('App\Http\Controllers\api\thirdPart\weixin')
            ->group(base_path('routes/api/thirdPart/weixin.php'));

        Route::prefix('api/thirdPart/haiq')
            ->namespace('App\Http\Controllers\api\thirdPart\haiq')
            ->group(base_path('routes/api/thirdPart/haiq.php'));

        Route::prefix('api/thirdPart/goodscan')
            ->namespace('App\Http\Controllers\api\thirdPart\goodscan')
            ->group(base_path('routes/api/thirdPart/goodscan.php'));

        Route::prefix('api/thirdPart/hengli')
            ->namespace('App\Http\Controllers\api\thirdPart\hengli')
            ->group(base_path('routes/api/thirdPart/hengli.php'));

        Route::prefix('api/thirdPart/haochuang')
            ->middleware('api')
            ->namespace('App\Http\Controllers\api\thirdPart\haochuang')
            ->group(base_path('routes/api/thirdPart/haochuang.php'));
    }
}
